com.corticon.rulesemf.common

## Class ValidationMessageType

- java.lang.Object
- - org.eclipse.emf.common.util.AbstractEnumerator
  - - com.corticon.rulesemf.common.ValidationMessageType

- All Implemented Interfaces:
    java.io.Serializable, org.eclipse.emf.common.util.Enumerator

      public final class ValidationMessageType
      extends org.eclipse.emf.common.util.AbstractEnumerator

  A representation of the literals of the enumeration 'Validation Message Type', and utility methods for working with them.
  See Also:
    `CommonPackage.getValidationMessageType()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CANONICAL` The 'Canonical' literal value
    `static ValidationMessageType` | `CANONICAL_LITERAL` The 'Canonical' literal object
    `static int` | `RULE_BUILDER` The 'Rule Builder' literal value
    `static ValidationMessageType` | `RULE_BUILDER_LITERAL` The 'Rule Builder' literal object
    `static int` | `UNSPECIFIED` The 'Unspecified' literal value
    `static ValidationMessageType` | `UNSPECIFIED_LITERAL` The 'Unspecified' literal object
    `static int` | `VALIDATION` The 'Validation' literal value
    `static ValidationMessageType` | `VALIDATION_LITERAL` The 'Validation' literal object
    `static java.util.List` | `VALUES` A public read-only list of all the 'Validation Message Type' enumerators

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationMessageType` | `get(int value)` Returns the 'Validation Message Type' literal with the specified integer value
    `static ValidationMessageType` | `get(java.lang.String literal)` Returns the 'Validation Message Type' literal with the specified literal value
    `static ValidationMessageType` | `getByName(java.lang.String name)` Returns the 'Validation Message Type' literal with the specified name

    - ### Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator

      `getLiteral, getName, getValue, toString, writeReplace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNSPECIFIED

          public static final int UNSPECIFIED

      The 'Unspecified' literal value.

      If the meaning of 'Unspecified' literal object isn't clear, there really should be more of a description here...

      See Also:
        `UNSPECIFIED_LITERAL`, Constant Field Values

    - #### VALIDATION

          public static final int VALIDATION

      The 'Validation' literal value.

      If the meaning of 'Validation' literal object isn't clear, there really should be more of a description here...

      See Also:
        `VALIDATION_LITERAL`, Constant Field Values

    - #### RULE_BUILDER

          public static final int RULE_BUILDER

      The 'Rule Builder' literal value.

      If the meaning of 'Rule Builder' literal object isn't clear, there really should be more of a description here...

      See Also:
        `RULE_BUILDER_LITERAL`, Constant Field Values

    - #### CANONICAL

          public static final int CANONICAL

      The 'Canonical' literal value.

      If the meaning of 'Canonical' literal object isn't clear, there really should be more of a description here...

      See Also:
        `CANONICAL_LITERAL`, Constant Field Values

    - #### UNSPECIFIED_LITERAL

          public static final ValidationMessageType UNSPECIFIED_LITERAL

      The 'Unspecified' literal object.
      See Also:
        `UNSPECIFIED`

    - #### VALIDATION_LITERAL

          public static final ValidationMessageType VALIDATION_LITERAL

      The 'Validation' literal object.
      See Also:
        `VALIDATION`

    - #### RULE_BUILDER_LITERAL

          public static final ValidationMessageType RULE_BUILDER_LITERAL

      The 'Rule Builder' literal object.
      See Also:
        `RULE_BUILDER`

    - #### CANONICAL_LITERAL

          public static final ValidationMessageType CANONICAL_LITERAL

      The 'Canonical' literal object.
      See Also:
        `CANONICAL`

    - #### VALUES

          public static final java.util.List VALUES

      A public read-only list of all the 'Validation Message Type' enumerators.

  - ### Method Detail

    - #### get

          public static ValidationMessageType get(java.lang.String literal)

      Returns the 'Validation Message Type' literal with the specified literal value.

    - #### getByName

          public static ValidationMessageType getByName(java.lang.String name)

      Returns the 'Validation Message Type' literal with the specified name.

    - #### get

          public static ValidationMessageType get(int value)

      Returns the 'Validation Message Type' literal with the specified integer value.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.